For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
      • GETRetrieve enabled feature flags for the provided context.
      • POSTRetrieve enabled feature flags for the provided context, using POST.
  • Admin API

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Frontend APIFeature flags

Retrieve enabled feature flags for the provided context.

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/frontend
GET
/api/frontend
$curl https://app.unleash-instance.example.com/api/frontend \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "toggles": [
3 {
4 "name": "disable-comments",
5 "enabled": true,
6 "impressionData": false,
7 "variant": {
8 "name": "blue_group",
9 "enabled": true,
10 "payload": {
11 "type": "json",
12 "value": "{\"color\": \"red\"}"
13 },
14 "feature_enabled": true,
15 "featureEnabled": true
16 }
17 }
18 ]
19}
This endpoint returns the list of feature flags that the frontend API evaluates to enabled for the given context. Context values are provided as query parameters. If the Frontend API is disabled 404 is returned.
Was this page helpful?
Previous

Retrieve enabled feature flags for the provided context, using POST.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

frontendApiFeaturesSchema
toggleslist of objects
The actual features returned to the Frontend SDK

Errors

401
Unauthorized Error
404
Not Found Error